Package org.apache.sysds.runtime.io

## Class FrameWriterProto

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameWriter
  - - org.apache.sysds.runtime.io.FrameWriterProto

    public class FrameWriterProto
    extends FrameWriter

### Constructor Summary

Constructors
`FrameWriterProto()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeFrameToHDFS​(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameWriterProto

    public FrameWriterProto()

### Method Detail

#### writeFrameToHDFS

    public void writeFrameToHDFS​(FrameBlock src,
                                 String fname,
                                 long rlen,
                                 long clen)
                          throws IOException

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Throws:
  `IOException`